#!/bin/bash
set -e
echo "compile warns stage"

pwd

cd src/
for v in ${1:-2 3 4 5 6}; do {
	CFLAGS="-DHAS_UBUS -DEXTENSION_ALLOWED -DEASYMESH_VERSION=$v -DBUILD_TR181_PLUGIN" make;
	CFLAGS="-DHAS_UBUS -DEXTENSION_ALLOWED -DEASYMESH_VERSION=$v -DBUILD_TR181_PLUGIN" make clean;
}; done
